Ubuntu 中用 delphi 开发 apache-阿里云开发者社区

开发者社区> 开发与运维> 正文

Ubuntu 中用 delphi 开发 apache

简介: 经过近15年的沉默。delphi 10.2 终于重新开始支持linux 开发了。 今天说一下在ubuntu中开发apache的方法。 首先安装ubuntu 的delphi 开发环境,请参考以前的文章 http://www.cnblogs.com/xalion/p/6368899.html   在delphi 10.2 中,只支持apache 2.4(既然有新的,不支持2.2也就无所谓了)。

经过近15年的沉默。delphi 10.2 终于重新开始支持linux 开发了。

今天说一下在ubuntu中开发apache的方法。

首先安装ubuntu 的delphi 开发环境,请参考以前的文章

http://www.cnblogs.com/xalion/p/6368899.html

 

在delphi 10.2 中,只支持apache 2.4(既然有新的,不支持2.2也就无所谓了)。

首先我们需要安装apache

在ubuntu里面安装apache 很简单。

我们进入命令行

输入"root用户的密码"-->
回车-->输入"y"-->回车,安装完成

如果没有出问题的话,就安装成功。

在终端窗口中输入"ls /etc/apache2"-->回车-->有一个"apache2.conf"的配置文件。

就可以更改配置文件了。

回到delphi ,我们建立一个apache 模块。

 

 

选中linux.

完成。

 

简单的修改一下。

编译这个工程。

生成的文件默认在这个目录。

把生产的so模块 复制到/usr/lib/apache2/modules/
然后编辑apache 的配置文件
sudo vi /etc/apache2/apacha2.conf

加入
LoadModule webbroker_module /usr/lib/apache2/modules/libmod_webbroker.so

 <Location /web>
    SetHandler libmod_webbroker-handler
 </Location>

 

 重新启动apache

 sudo ./etc/init.d/apache2 restart

我们回到Windows的浏览器

输入

 

注意,如果出现乱码,请将浏览器字符集设成unicode. 因为delphi 在linux 的字符集默认为UTF-8.

好了,很简单吧。

 

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章